// File:  MenusDemos\SimpleDialog.java

// Show how to set up menus
// Show how to use the AWT FileDialog

import java.awt.*;
import java.awt.event.*;

// Define a simple dialog box that contains a message and 'Cancel'
// This will be a non-resizable modal dialog
class SimpleDialog extends Dialog {

    SimpleDialog(Frame parent, String title) {
        super(parent, title, true);
        setLayout(new FlowLayout());
        setSize(WIDTH, HEIGHT);
        setResizable(false);

        add(new Label("Press this button:"));
        Button b = new Button("Cancel");
        add(b);
        b.addActionListener(new CloseHandler());
    }

    // Clicking 'close' causes the resources for the dialog
    // to be released (disposed)...  and returned to the system
    class CloseHandler implements ActionListener {
        public void actionPerformed(ActionEvent e) {
            dispose();
        }
    }

    public void paint(Graphics g) {
        g.drawString("This is painted inside the dialog box", 20, 90);
    }

    static final int WIDTH  = 250;
    static final int HEIGHT = 150;
    private static final long serialVersionUID = 1L;
}
